Bug 306134 - Crashes when enabling Last.fm on a fresh installation [@ Amarok2ConfigDialog::~Amarok2ConfigDialog]
Summary: Crashes when enabling Last.fm on a fresh installation [@ Amarok2ConfigDialog:...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Services/Last.fm (show other bugs)
Version: 2.6-git
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
: 308702 310680 311281 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-09-01 14:03 UTC by Emils Solmanis
Modified: 2012-12-12 22:54 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emils Solmanis 2012-09-01 14:03:21 UTC
Application: amarok (2.6.0)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.2
Operating System: Linux 3.5.2-3.fc17.x86_64 x86_64
Distribution: "Fedora release 17 (Beefy Miracle)"

-- Backtrace:
Application: Amarok (amarok), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7fead93aa880 (LWP 9853))]

[..] traces of threads 2 to 12, all of them in pthread_wait() or GI_poll()

Thread 1 (Thread 0x7fead93aa880 (LWP 9853)):
[KCrash Handler]
#6  0x0000003b87c35925 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x0000003b87c370d8 in __GI_abort () at abort.c:91
#8  0x0000003b87c74e6b in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x3b87d78908 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
#9  0x0000003b87c7bfee in malloc_printerr (ptr=0x7fff09009f80, str=0x3b87d789a8 "double free or corruption (out)", action=3) at malloc.c:5027
#10 _int_free (av=0x3b87fb0720, p=0x7fff09009f70, have_lock=0) at malloc.c:3948
#11 0x000000304e188a32 in QObjectPrivate::deleteChildren (this=0x38c0840) at kernel/qobject.cpp:1908
#12 0x000000304fa13f14 in QWidget::~QWidget (this=0x38c0710, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1677
#13 0x0000003050c1b659 in KCategorizedView::~KCategorizedView (this=0x38c0710, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kdeui/itemviews/kcategorizedview.cpp:524
#14 0x0000003056021bba in KPluginSelector::~KPluginSelector (this=0x38f1bd0, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kutils/kpluginselector.cpp:289
#15 0x0000003056021bf9 in KPluginSelector::~KPluginSelector (this=0x38f1bd0, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kutils/kpluginselector.cpp:291
#16 0x000000304e188a32 in QObjectPrivate::deleteChildren (this=0x38f19a0) at kernel/qobject.cpp:1908
#17 0x000000304fa13f14 in QWidget::~QWidget (this=0x38f1e20, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1677
#18 0x000000305fa18c09 in PluginsConfig::~PluginsConfig (this=0x38f1e20, __in_chrg=<optimized out>) at /usr/src/debug/amarok-2.6.0/src/configdialog/dialogs/PluginsConfig.cpp:59
#19 0x000000304e188a32 in QObjectPrivate::deleteChildren (this=0x39673c0) at kernel/qobject.cpp:1908
#20 0x000000304fa13f14 in QWidget::~QWidget (this=0x39759c0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1677
#21 0x0000003050d330b9 in KVBox::~KVBox (this=0x39759c0, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kdeui/widgets/kvbox.cpp:29
#22 0x000000304e188a32 in QObjectPrivate::deleteChildren (this=0x388c020) at kernel/qobject.cpp:1908
#23 0x000000304fa13f14 in QWidget::~QWidget (this=0x38dc520, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1677
#24 0x0000003050c74c5e in ~KPageStackedWidget (this=0x38dc520, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kdeui/paged/kpageview_p.h:37
#25 KPageStackedWidget::~KPageStackedWidget (this=0x38dc520, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kdeui/paged/kpageview_p.h:37
#26 0x000000304e188a32 in QObjectPrivate::deleteChildren (this=0x388bbe0) at kernel/qobject.cpp:1908
#27 0x000000304fa13f14 in QWidget::~QWidget (this=0x38887e0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1677
#28 0x0000003050c77899 in KPageWidget::~KPageWidget (this=0x38887e0, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kdeui/paged/kpagewidget.cpp:78
#29 0x000000304e188a32 in QObjectPrivate::deleteChildren (this=0x38d4ea0) at kernel/qobject.cpp:1908
#30 0x000000304fa13f14 in QWidget::~QWidget (this=0x38885c0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1677
#31 0x0000003050b981ff in KConfigDialog::~KConfigDialog (this=0x38885c0, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kdeui/dialogs/kconfigdialog.cpp:108
#32 0x000000305fa110b9 in Amarok2ConfigDialog::~Amarok2ConfigDialog (this=0x38885c0, __in_chrg=<optimized out>) at /usr/src/debug/amarok-2.6.0/src/configdialog/ConfigDialog.cpp:71
#33 0x000000305fa11269 in Amarok2ConfigDialog::~Amarok2ConfigDialog (this=0x38885c0, __in_chrg=<optimized out>) at /usr/src/debug/amarok-2.6.0/src/configdialog/ConfigDialog.cpp:89
#34 0x000000304e18ad18 in QObject::event (this=0x38885c0, e=<optimized out>) at kernel/qobject.cpp:1176
#35 0x000000304fa193da in QWidget::event (this=0x38885c0, event=0x4246c90) at kernel/qwidget.cpp:8830
#36 0x000000304f9ca37c in QApplicationPrivate::notify_helper (this=this@entry=0x15afed0, receiver=receiver@entry=0x38885c0, e=e@entry=0x4246c90) at kernel/qapplication.cpp:4551
#37 0x000000304f9ce7fa in QApplication::notify (this=0x7fff0900d840, receiver=0x38885c0, e=0x4246c90) at kernel/qapplication.cpp:4412
#38 0x0000003050c462b6 in KApplication::notify (this=0x7fff0900d840, receiver=0x38885c0, event=0x4246c90) at /usr/src/debug/kdelibs-4.8.5/kdeui/kernel/kapplication.cpp:311
#39 0x000000304e1763ee in QCoreApplication::notifyInternal (this=0x7fff0900d840, receiver=receiver@entry=0x38885c0, event=event@entry=0x4246c90) at kernel/qcoreapplication.cpp:915
#40 0x000000304e179ea1 in sendEvent (event=0x4246c90, receiver=0x38885c0) at kernel/qcoreapplication.h:231
#41 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1456ad0) at kernel/qcoreapplication.cpp:1539
#42 0x000000304e1a4353 in sendPostedEvents () at kernel/qcoreapplication.h:236
#43 postEventSourceDispatch (s=s@entry=0x15b7300) at kernel/qeventdispatcher_glib.cpp:279
#44 0x0000003b8a047695 in g_main_dispatch (context=0x15b29f0) at gmain.c:2539
#45 g_main_context_dispatch (context=context@entry=0x15b29f0) at gmain.c:3075
#46 0x0000003b8a0479c8 in g_main_context_iterate (context=context@entry=0x15b29f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
#47 0x0000003b8a047a84 in g_main_context_iteration (context=0x15b29f0, may_block=1) at gmain.c:3207
#48 0x000000304e1a44e6 in QEventDispatcherGlib::processEvents (this=0x1457f90, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#49 0x000000304fa6a2ee in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#50 0x000000304e17513f in QEventLoop::processEvents (this=this@entry=0x7fff09007980, flags=...) at kernel/qeventloop.cpp:149
#51 0x000000304e1753c8 in QEventLoop::exec (this=0x7fff09007980, flags=...) at kernel/qeventloop.cpp:204
#52 0x0000003050d56a7a in KWallet::Wallet::openWallet (name=..., w=0, ot=KWallet::Wallet::Synchronous) at /usr/src/debug/kdelibs-4.8.5/kdeui/util/kwallet.cpp:516
#53 0x00007feac0d44040 in LastFmServiceConfig::tryToOpenWallet (this=this@entry=0x7fff09007bd0) at /usr/src/debug/amarok-2.6.0/src/services/lastfm/LastFmServiceConfig.cpp:143
#54 0x00007feac0d46ef8 in LastFmServiceConfig::LastFmServiceConfig (this=0x7fff09007bd0) at /usr/src/debug/amarok-2.6.0/src/services/lastfm/LastFmServiceConfig.cpp:43
#55 0x00007feac0d348e4 in LastFmServiceFactory::createLastFmService (this=this@entry=0x1f12140) at /usr/src/debug/amarok-2.6.0/src/services/lastfm/LastFmService.cpp:149
#56 0x00007feac0d34aed in LastFmServiceFactory::init (this=0x1f12140) at /usr/src/debug/amarok-2.6.0/src/services/lastfm/LastFmService.cpp:92
#57 0x000000305fb416f4 in ServicePluginManager::initFactory (this=this@entry=0x1d21980, factory=factory@entry=0x1f12140) at /usr/src/debug/amarok-2.6.0/src/services/ServicePluginManager.cpp:114
#58 0x000000305fb44134 in ServicePluginManager::checkEnabledStates (this=0x1d21980, factories=...) at /usr/src/debug/amarok-2.6.0/src/services/ServicePluginManager.cpp:95
#59 0x000000305fd9a4b9 in Plugins::PluginManager::checkPluginEnabledStates (this=0x1b3cac0) at /usr/src/debug/amarok-2.6.0/src/PluginManager.cpp:141
#60 0x000000305fa18d69 in PluginsConfig::updateSettings (this=0x38f1e20) at /usr/src/debug/amarok-2.6.0/src/configdialog/dialogs/PluginsConfig.cpp:71
#61 0x000000305fa104cb in Amarok2ConfigDialog::updateSettings (this=<optimized out>) at /usr/src/debug/amarok-2.6.0/src/configdialog/ConfigDialog.cpp:143
#62 0x000000304e18cb9f in QMetaObject::activate (sender=0x38885c0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#63 0x0000003050ba76b7 in KDialog::slotButtonClicked (this=0x38885c0, button=8) at /usr/src/debug/kdelibs-4.8.5/kdeui/dialogs/kdialog.cpp:888
#64 0x0000003050ba7bf4 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/x86_64-redhat-linux-gnu/kdeui/kdialog.moc:166
#65 KDialog::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/x86_64-redhat-linux-gnu/kdeui/kdialog.moc:126
#66 0x000000304e18cb9f in QMetaObject::activate (sender=0x38c79f0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff090083c0) at kernel/qobject.cpp:3547
#67 0x000000304e1916ee in QSignalMapper::mapped (this=this@entry=0x38c79f0, _t1=8) at .moc/release-shared/moc_qsignalmapper.cpp:114
#68 0x000000304e1918f5 in QSignalMapper::map (this=0x38c79f0, sender=0x31f8050) at kernel/qsignalmapper.cpp:266
#69 0x000000304e18cb9f in QMetaObject::activate (sender=0x31f8050, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff09008550) at kernel/qobject.cpp:3547
#70 0x000000305002ece2 in QAbstractButton::clicked (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:219
#71 0x000000304fd82fde in QAbstractButtonPrivate::emitClicked (this=this@entry=0x39c5fb0) at widgets/qabstractbutton.cpp:548
#72 0x000000304fd835e0 in QAbstractButtonPrivate::click (this=this@entry=0x39c5fb0) at widgets/qabstractbutton.cpp:541
#73 0x000000304fd8384c in QAbstractButton::mouseReleaseEvent (this=0x31f8050, e=0x7fff09008df0) at widgets/qabstractbutton.cpp:1123
#74 0x000000304fa19b50 in QWidget::event (this=0x31f8050, event=0x7fff09008df0) at kernel/qwidget.cpp:8371
#75 0x000000304f9ca37c in QApplicationPrivate::notify_helper (this=this@entry=0x15afed0, receiver=receiver@entry=0x31f8050, e=e@entry=0x7fff09008df0) at kernel/qapplication.cpp:4551
#76 0x000000304f9cf05b in QApplication::notify (this=<optimized out>, receiver=0x31f8050, e=0x7fff09008df0) at kernel/qapplication.cpp:4094
#77 0x0000003050c462b6 in KApplication::notify (this=0x7fff0900d840, receiver=0x31f8050, event=0x7fff09008df0) at /usr/src/debug/kdelibs-4.8.5/kdeui/kernel/kapplication.cpp:311
#78 0x000000304e1763ee in QCoreApplication::notifyInternal (this=0x7fff0900d840, receiver=0x31f8050, event=0x7fff09008df0) at kernel/qcoreapplication.cpp:915
#79 0x000000304f9cb1bb in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#80 QApplicationPrivate::sendMouseEvent (receiver=0x31f8050, event=0x7fff09008df0, alienWidget=0x31f8050, nativeWidget=0x37ce5a0, buttonDown=0x305049dd68, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3162
#81 0x000000304fa45894 in QETWidget::translateMouseEvent (this=this@entry=0x37ce5a0, event=event@entry=0x7fff09009560) at kernel/qapplication_x11.cpp:4523
#82 0x000000304fa44621 in QApplication::x11ProcessEvent (this=0x7fff0900d840, event=0x7fff09009560) at kernel/qapplication_x11.cpp:3646
#83 0x000000304fa6a60c in x11EventSourceDispatch (s=s@entry=0x15b8520, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:148
#84 0x0000003b8a047695 in g_main_dispatch (context=0x15b29f0) at gmain.c:2539
#85 g_main_context_dispatch (context=context@entry=0x15b29f0) at gmain.c:3075
#86 0x0000003b8a0479c8 in g_main_context_iterate (context=context@entry=0x15b29f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
#87 0x0000003b8a047a84 in g_main_context_iteration (context=0x15b29f0, may_block=1) at gmain.c:3207
#88 0x000000304e1a44e6 in QEventDispatcherGlib::processEvents (this=0x1457f90, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#89 0x000000304fa6a2ee in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#90 0x000000304e17513f in QEventLoop::processEvents (this=this@entry=0x7fff09009980, flags=...) at kernel/qeventloop.cpp:149
#91 0x000000304e1753c8 in QEventLoop::exec (this=0x7fff09009980, flags=...) at kernel/qeventloop.cpp:204
#92 0x0000003050d56a7a in KWallet::Wallet::openWallet (name=..., w=0, ot=KWallet::Wallet::Synchronous) at /usr/src/debug/kdelibs-4.8.5/kdeui/util/kwallet.cpp:516
#93 0x00007fea81ba7f70 in LastFmServiceConfig::tryToOpenWallet (this=this@entry=0x3d61b28) at /usr/src/debug/amarok-2.6.0/src/services/lastfm/LastFmServiceConfig.cpp:143
#94 0x00007fea81ba8439 in LastFmServiceConfig::save (this=0x3d61b28) at /usr/src/debug/amarok-2.6.0/src/services/lastfm/LastFmServiceConfig.cpp:104
#95 0x00007fea81ba26bb in LastFmServiceSettings::save (this=0x3d61af0) at /usr/src/debug/amarok-2.6.0/src/services/lastfm/LastFmServiceSettings.cpp:89
#96 0x0000003056021497 in KCModuleProxy::save (this=<optimized out>) at /usr/src/debug/kdelibs-4.8.5/kutils/kcmoduleproxy.cpp:279
#97 0x0000003056026fdf in KPluginSelector::Private::PluginDelegate::slotConfigureClicked (this=0x39003a0) at /usr/src/debug/kdelibs-4.8.5/kutils/kpluginselector.cpp:871
#98 0x000000304e18cb9f in QMetaObject::activate (sender=0x39f8a60, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff0900a120) at kernel/qobject.cpp:3547
#99 0x000000305002ece2 in QAbstractButton::clicked (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:219
#100 0x000000304fd82fde in QAbstractButtonPrivate::emitClicked (this=this@entry=0x39f8aa0) at widgets/qabstractbutton.cpp:548
#101 0x000000304fd835e0 in QAbstractButtonPrivate::click (this=this@entry=0x39f8aa0) at widgets/qabstractbutton.cpp:541
#102 0x000000304fd8384c in QAbstractButton::mouseReleaseEvent (this=0x39f8a60, e=0x7fff0900a9c0) at widgets/qabstractbutton.cpp:1123
#103 0x000000304fa19b50 in QWidget::event (this=0x39f8a60, event=0x7fff0900a9c0) at kernel/qwidget.cpp:8371
#104 0x000000304f9ca37c in QApplicationPrivate::notify_helper (this=this@entry=0x15afed0, receiver=receiver@entry=0x39f8a60, e=e@entry=0x7fff0900a9c0) at kernel/qapplication.cpp:4551
#105 0x000000304f9cf05b in QApplication::notify (this=<optimized out>, receiver=0x39f8a60, e=0x7fff0900a9c0) at kernel/qapplication.cpp:4094
#106 0x0000003050c462b6 in KApplication::notify (this=0x7fff0900d840, receiver=0x39f8a60, event=0x7fff0900a9c0) at /usr/src/debug/kdelibs-4.8.5/kdeui/kernel/kapplication.cpp:311
#107 0x000000304e1763ee in QCoreApplication::notifyInternal (this=0x7fff0900d840, receiver=0x39f8a60, event=0x7fff0900a9c0) at kernel/qcoreapplication.cpp:915
#108 0x000000304f9cb1bb in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#109 QApplicationPrivate::sendMouseEvent (receiver=0x39f8a60, event=0x7fff0900a9c0, alienWidget=0x39f8a60, nativeWidget=0x38885c0, buttonDown=0x305049dd68, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3162
#110 0x000000304fa45894 in QETWidget::translateMouseEvent (this=this@entry=0x38885c0, event=event@entry=0x7fff0900b130) at kernel/qapplication_x11.cpp:4523
#111 0x000000304fa44621 in QApplication::x11ProcessEvent (this=0x7fff0900d840, event=0x7fff0900b130) at kernel/qapplication_x11.cpp:3646
#112 0x000000304fa6a60c in x11EventSourceDispatch (s=s@entry=0x15b8520, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:148
#113 0x0000003b8a047695 in g_main_dispatch (context=0x15b29f0) at gmain.c:2539
#114 g_main_context_dispatch (context=context@entry=0x15b29f0) at gmain.c:3075
#115 0x0000003b8a0479c8 in g_main_context_iterate (context=context@entry=0x15b29f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
#116 0x0000003b8a047a84 in g_main_context_iteration (context=0x15b29f0, may_block=1) at gmain.c:3207
#117 0x000000304e1a44e6 in QEventDispatcherGlib::processEvents (this=0x1457f90, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#118 0x000000304fa6a2ee in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#119 0x000000304e17513f in QEventLoop::processEvents (this=this@entry=0x7fff0900b500, flags=...) at kernel/qeventloop.cpp:149
#120 0x000000304e1753c8 in QEventLoop::exec (this=0x7fff0900b500, flags=...) at kernel/qeventloop.cpp:204
#121 0x000000304e17a1b8 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#122 0x0000000000408dea in main (argc=1, argv=0x7fff0900d9a8) at /usr/src/debug/amarok-2.6.0/src/main.cpp:306


Reproducible: Always

Steps to Reproduce:
1. Start Amarok (clean the config if repeated attempt). I'm not sure which particular conf caused it, but I removed all references to amarok from ~/.config/Trolltech.conf, deleted ~/.kde/share/apps/amarok/ and ~/.kde/share/config/amarok*
2. Configure plugins, enter Last.fm user/pass, press the [Check login], confirm/apply. Press [OK] on the main config window.
3. Profit.
Actual Results:  
Amarok crashed & burned.

Expected Results:  
No crash.

glibc backtrace, in case there's any use for it

*** glibc detected *** amarok: double free or corruption (out): 0x00007fffb0575fe0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3b87c7bfee]
/lib64/libQtCore.so.4(_ZN14QObjectPrivate14deleteChildrenEv+0x82)[0x304e188a32]
/lib64/libQtGui.so.4(_ZN7QWidgetD2Ev+0x334)[0x304fa13f14]
/lib64/libkdeui.so.5(_ZN16KCategorizedViewD0Ev+0x9)[0x3050c1b659]
/lib64/libkcmutils.so.4(_ZN15KPluginSelectorD1Ev+0x4a)[0x3056021bba]
/lib64/libkcmutils.so.4(_ZN15KPluginSelectorD0Ev+0x9)[0x3056021bf9]
/lib64/libQtCore.so.4(_ZN14QObjectPrivate14deleteChildrenEv+0x82)[0x304e188a32]
/lib64/libQtGui.so.4(_ZN7QWidgetD2Ev+0x334)[0x304fa13f14]
/lib64/libamaroklib.so.1[0x305fa18c09]
/lib64/libQtCore.so.4(_ZN14QObjectPrivate14deleteChildrenEv+0x82)[0x304e188a32]
/lib64/libQtGui.so.4(_ZN7QWidgetD2Ev+0x334)[0x304fa13f14]
/lib64/libkdeui.so.5(_ZN5KVBoxD0Ev+0x9)[0x3050d330b9]
/lib64/libQtCore.so.4(_ZN14QObjectPrivate14deleteChildrenEv+0x82)[0x304e188a32]
/lib64/libQtGui.so.4(_ZN7QWidgetD2Ev+0x334)[0x304fa13f14]
/lib64/libkdeui.so.5[0x3050c74c5e]
/lib64/libQtCore.so.4(_ZN14QObjectPrivate14deleteChildrenEv+0x82)[0x304e188a32]
/lib64/libQtGui.so.4(_ZN7QWidgetD2Ev+0x334)[0x304fa13f14]
/lib64/libkdeui.so.5(_ZN11KPageWidgetD0Ev+0x9)[0x3050c77899]
/lib64/libQtCore.so.4(_ZN14QObjectPrivate14deleteChildrenEv+0x82)[0x304e188a32]
/lib64/libQtGui.so.4(_ZN7QWidgetD2Ev+0x334)[0x304fa13f14]
/lib64/libkdeui.so.5(_ZN13KConfigDialogD1Ev+0x7f)[0x3050b981ff]
/lib64/libamaroklib.so.1[0x305fa110b9]
/lib64/libamaroklib.so.1[0x305fa11269]
/lib64/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x298)[0x304e18ad18]
/lib64/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x6a)[0x304fa193da]
/lib64/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xac)[0x304f9ca37c]
/lib64/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x13a)[0x304f9ce7fa]
/lib64/libkdeui.so.5(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x36)[0x3050c462b6]
/lib64/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8e)[0x304e1763ee]
/lib64/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x421)[0x304e179ea1]
/lib64/libQtCore.so.4[0x304e1a4353]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x135)[0x3b8a047695]
/lib64/libglib-2.0.so.0[0x3b8a0479c8]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x3b8a047a84]
/lib64/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x66)[0x304e1a44e6]
/lib64/libQtGui.so.4[0x304fa6a2ee]
/lib64/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f)[0x304e17513f]
/lib64/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x138)[0x304e1753c8]
/lib64/libkdeui.so.5(_ZN7KWallet6Wallet10openWalletERK7QStringmNS0_8OpenTypeE+0x3fa)[0x3050d56a7a]
/usr/lib64/kde4/kcm_amarok_service_lastfm.so(+0xbf70)[0x7f61343e5f70]
/usr/lib64/kde4/kcm_amarok_service_lastfm.so(+0xc439)[0x7f61343e6439]
/usr/lib64/kde4/kcm_amarok_service_lastfm.so(+0x66bb)[0x7f61343e06bb]
/lib64/libkcmutils.so.4(_ZN13KCModuleProxy4saveEv+0x27)[0x3056021497]
/lib64/libkcmutils.so.4(_ZN15KPluginSelector7Private14PluginDelegate20slotConfigureClickedEv+0x8ff)[0x3056026fdf]
/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2bf)[0x304e18cb9f]
/lib64/libQtGui.so.4(_ZN15QAbstractButton7clickedEb+0x32)[0x305002ece2]
/lib64/libQtGui.so.4[0x304fd82fde]
/lib64/libQtGui.so.4[0x304fd835e0]
/lib64/libQtGui.so.4(_ZN15QAbstractButton17mouseReleaseEventEP11QMouseEvent+0x8c)[0x304fd8384c]
/lib64/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x7e0)[0x304fa19b50]
/lib64/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xac)[0x304f9ca37c]
/lib64/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x99b)[0x304f9cf05b]
/lib64/libkdeui.so.5(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x36)[0x3050c462b6]
/lib64/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8e)[0x304e1763ee]
/lib64/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x14b)[0x304f9cb1bb]
/lib64/libQtGui.so.4[0x304fa45894]
/lib64/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xb11)[0x304fa44621]
/lib64/libQtGui.so.4[0x304fa6a60c]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x135)[0x3b8a047695]
/lib64/libglib-2.0.so.0[0x3b8a0479c8]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x3b8a047a84]
/lib64/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x66)[0x304e1a44e6]
/lib64/libQtGui.so.4[0x304fa6a2ee]
======= Memory map: ========
00400000-00415000 r-xp 00000000 fd:04 48853                              /usr/bin/amarok
00614000-00615000 rw-p 00014000 fd:04 48853                              /usr/bin/amarok
01861000-019cd000 rw-p 00000000 00:00 0                                  [heap]
019cd000-0492f000 rw-p 00000000 00:00 0                                  [heap]
304cc00000-304cc17000 r-xp 00000000 fd:04 5025                           /usr/lib64/libz.so.1.2.5
304cc17000-304ce16000 ---p 00017000 fd:04 5025                           /usr/lib64/libz.so.1.2.5
304ce16000-304ce17000 rw-p 00016000 fd:04 5025                           /usr/lib64/libz.so.1.2.5
304d000000-304d029000 r-xp 00000000 fd:04 7921                           /usr/lib64/libpng15.so.15.10.0
304d029000-304d228000 ---p 00029000 fd:04 7921                           /usr/lib64/libpng15.so.15.10.0
304d228000-304d229000 r--p 00028000 fd:04 7921                           /usr/lib64/libpng15.so.15.10.0
304d229000-304d22a000 rw-p 00029000 fd:04 7921                           /usr/lib64/libpng15.so.15.10.0
304d400000-304d574000 r-xp 00000000 fd:04 55310                          /usr/lib64/libcrypto.so.1.0.0j
304d574000-304d774000 ---p 00174000 fd:04 55310                          /usr/lib64/libcrypto.so.1.0.0j
304d774000-304d796000 rw-p 00174000 fd:04 55310                          /usr/lib64/libcrypto.so.1.0.0j
304d796000-304d79a000 rw-p 00000000 00:00 0 
304d800000-304d854000 r-xp 00000000 fd:04 55318                          /usr/lib64/libssl.so.1.0.0j
304d854000-304da53000 ---p 00054000 fd:04 55318                          /usr/lib64/libssl.so.1.0.0j
304da53000-304da5b000 rw-p 00053000 fd:04 55318                          /usr/lib64/libssl.so.1.0.0j
304dc00000-304dd4e000 r-xp 00000000 fd:04 55424                          /usr/lib64/libxml2.so.2.7.8
304dd4e000-304df4d000 ---p 0014e000 fd:04 55424                          /usr/lib64/libxml2.so.2.7.8
304df4d000-304df55000 r--p 0014d000 fd:04 55424                          /usr/lib64/libxml2.so.2.7.8
304df55000-304df57000 rw-p 00155000 fd:04 55424                          /usr/lib64/libxml2.so.2.7.8
304df57000-304df58000 rw-p 00000000 00:00 0 
304e000000-304e2c1000 r-xp 00000000 fd:04 54772                          /usr/lib64/libQtCore.so.4.8.2
304e2c1000-304e4c0000 ---p 002c1000 fd:04 54772                          /usr/lib64/libQtCore.so.4.8.2
304e4c0000-304e4cc000 rw-p 002c0000 fd:04 54772                          /usr/lib64/libQtCore.so.4.8.2
304e4cc000-304e4cd000 rw-p 00000000 00:00 0 
304e600000-304e679000 r-xp 00000000 fd:04 55356                          /usr/lib64/libQtDBus.so.4.8.2
304e679000-304e879000 ---p 00079000 fd:04 55356                          /usr/lib64/libQtDBus.so.4.8.2
304e879000-304e87b000 rw-p 00079000 fd:04 55356                          /usr/lib64/libQtDBus.so.4.8.2
304ea00000-304ea3f000 r-xp 00000000 fd:04 55353                          /usr/lib64/libQtXml.so.4.8.2
304ea3f000-304ec3f000 ---p 0003f000 fd:04 55353                          /usr/lib64/libQtXml.so.4.8.2
304ec3f000-304ec41000 rw-p 0003f000 fd:04 55353                          /usr/lib64/libQtXml.so.4.8.2
304ee00000-304ef2d000 r-xp 00000000 fd:04 55341                          /usr/lib64/libQtNetwork.so.4.8.2
304ef2d000-304f12d000 ---p 0012d000 fd:04 55341                          /usr/lib64/libQtNetwork.so.4.8.2
304f12d000-304f135000 rw-p 0012d000 fd:04 55341                          /usr/lib64/libQtNetwork.so.4.8.2
304f200000-304f4b6000 r-xp 00000000 fd:04 55359                          /usr/lib64/libkdecore.so.5.8.0
304f4b6000-304f6b6000 ---p 002b6000 fd:04 55359                          /usr/lib64/libkdecore.so.5.8.0
304f6b6000-304f6ce000 rw-p 002b6000 fd:04 55359                          /usr/lib64/libkdecore.so.5.8.0
304f6ce000-304f6d0000 rw-p 00000000 00:00 0 
304f800000-3050255000 r-xp 00000000 fd:04 55374                          /usr/lib64/libQtGui.so.4.8.2
3050255000-3050455000 ---p 00a55000 fd:04 55374                          /usr/lib64/libQtGui.so.4.8.2
3050455000-305049e000 rw-p 00a55000 fd:04 55374                          /usr/lib64/libQtGui.so.4.8.2
305049e000-30504a1000 rw-p 00000000 00:00 0 
3050600000-3050707000 r-xp 00000000 fd:04 55389                          /usr/lib64/libqca.so.2.0.3
3050707000-3050907000 ---p 00107000 fd:04 55389                          /usr/lib64/libqca.so.2.0.3
3050907000-3050912000 rw-p 00107000 fd:04 55389                          /usr/lib64/libqca.so.2.0.3
3050a00000-3050e33000 r-xp 00000000 fd:04 55421                          /usr/lib64/libkdeui.so.5.8.0
3050e33000-3051032000 ---p 00433000 fd:04 55421                          /usr/lib64/libkdeui.so.5.8.0
3051032000-3051068000 rw-p 00432000 fd:04 55421                          /usr/lib64/libkdeui.so.5.8.0
3051068000-305106a000 rw-p 00000000 00:00 0 
3051200000-30512d6000 r-xp 00000000 fd:04 55395                          /usr/lib64/libattica.so.0.4.0
30512d6000-30514d6000 ---p 000d6000 fd:04 55395                          /usr/lib64/libattica.so.0.4.0
30514d6000-30514da000 r--p 000d6000 fd:04 55395                          /usr/lib64/libattica.so.0.4.0
30514da000-30514dd000 rw-p 000da000 fd:04 55395                          /usr/lib64/libattica.so.0.4.0
3051600000-3051654000 r-xp 00000000 fd:04 55397                          /usr/lib64/libQtSvg.so.4.8.2
3051654000-3051853000 ---p 00054000 fd:04 55397                          /usr/lib64/libQtSvg.so.4.8.2
3051853000-3051856000 rw-p 00053000 fd:04 55397                          /usr/lib64/libQtSvg.so.4.8.2
3051a00000-3051a30000 r-xp 00000000 fd:04 55398                          /usr/lib64/libdbusmenu-qt.so.2.6.0
3051a30000-3051c30000 ---p 00030000 fd:04 55398                          /usr/lib64/libdbusmenu-qt.so.2.6.0
3051c30000-3051c31000 r--p 00030000 fd:04 55398                          /usr/lib64/libdbusmenu-qt.so.2.6.0
3051c31000-3051c32000 rw-p 00031000 fd:04 55398                          /usr/lib64/libdbusmenu-qt.so.2.6.0
3051e00000-3051ed0000 r-xp 00000000 fd:04 55739                          /usr/lib64/libnepomuk.so.4.8.0
3051ed0000-30520d0000 ---p 000d0000 fd:04 55739                          /usr/lib64/libnepomuk.so.4.8.0
30520d0000-30520d4000 rw-p 000d0000 fd:04 55739                          /usr/lib64/libnepomuk.so.4.8.0
3052200000-30522de000 r-xp 00000000 fd:04 55639                          /usr/lib64/libsoprano.so.4.3.0
30522de000-30524dd000 ---p 000de000 fd:04 55639                          /usr/lib64/libsoprano.so.4.3.0
30524dd000-30524e3000 r--p 000dd000 fd:04 55639                          /usr/lib64/libsoprano.so.4.3.0
30524e3000-30524e5000 rw-p 000e3000 fd:04 55639                          /usr/lib64/libsoprano.so.4.3.0
3052600000-30526bb000 r-xp 00000000 fd:04 56461                          /usr/lib64/libsolid.so.4.8.0
30526bb000-30528bb000 ---p 000bb000 fd:04 56461                          /usr/lib64/libsolid.so.4.8.0
30528bb000-30528cc000 rw-p 000bb000 fd:04 56461                          /usr/lib64/libsolid.so.4.8.0
3052a00000-3052a4a000 r-xp 00000000 fd:04 55648                          /usr/lib64/libsopranoclient.so.1.2.0
3052a4a000-3052c4a000 ---p 0004a000 fd:04 55648                          /usr/lib64/libsopranoclient.so.1.2.0
3052c4a000-3052c4c000 r--p 0004a000 fd:04 55648                          /usr/lib64/libsopranoclient.so.1.2.0
3052c4c000-3052c4d000 rw-p 0004c000 fd:04 55648                          /usr/lib64/libsopranoclient.so.1.2.0
3052e00000-3052f11000 r-xp 00000000 fd:04 56403                          /usr/lib64/libHUpnp.so.1.0.0
3052f11000-3053111000 ---p 00111000 fd:04 56403                          /usr/lib64/libHUpnp.so.1.0.0
3053111000-3053118000 rw-p 00111000 fd:04 56403                          /usr/lib64/libHUpnp.so.1.0.0
3053200000-3053276000 r-xp 00000000 fd:04 56322                          /usr/lib64/libstreamanalyzer.so.0.7.7
3053276000-3053475000 ---p 00076000 fd:04 56322                          /usr/lib64/libstreamanalyzer.so.0.7.7
3053475000-3053478000 r--p 00075000 fd:04 56322                          /usr/lib64/libstreamanalyzer.so.0.7.7
3053478000-3053479000 rw-p 00078000 fd:04 56322                          /usr/lib64/libstreamanalyzer.so.0.7.7
3053479000-305347a000 rw-p 00000000 00:00 0 
3053600000-3053623000 r-xp 00000000 fd:04 56389                          /usr/lib64/libqtsoap.so.2.7.0
3053623000-3053822000 ---p 00023000 fd:04 56389                          /usr/lib64/libqtsoap.so.2.7.0
3053822000-3053824000 rw-p 00022000 fd:04 56389                          /usr/lib64/libqtsoap.so.2.7.0
3053a00000-3053a35000 r-xp 00000000 fd:04 55798                          /usr/lib64/libstreams.so.0.7.7
3053a35000-3053c34000 ---p 00035000 fd:04 55798                          /usr/lib64/libstreams.so.0.7.7
3053c34000-3053c36000 r--p 00034000 fd:04 55798                          /usr/lib64/libstreams.so.0.7.7
3053c36000-3053c37000 rw-p 00036000 fd:04 55798                          /usr/lib64/libstreams.so.0.7.7
3053e00000-3053e38000 r-xp 00000000 fd:04 55778                          /usr/lib64/libnepomukutils.so.4.8.0
3053e38000-3054037000 ---p 00038000 fd:04 55778                          /usr/lib64/libnepomukutils.so.4.8.0
3054037000-305403a000 rw-p 00037000 fd:04 55778                          /usr/lib64/libnepomukutils.so.4.8.0
3054200000-3054246000 r-xp 00000000 fd:04 55765                          /usr/lib64/libnepomukquery.so.4.8.0
3054246000-3054446000 ---p 00046000 fd:04 55765                          /usr/lib64/libnepomukquery.so.4.8.0
3054446000-3054448000 rw-p 00046000 fd:04 55765                          /usr/lib64/libnepomukquery.so.4.8.0
3054600000-3054892000 r-xp 00000000 fd:04 57371                          /usr/lib64/libkio.so.5.8.0
3054892000-3054a92000 ---p 00292000 fd:04 57371                          /usr/lib64/libkio.so.5.8.0
3054a92000-3054aac000 rw-p 00292000 fd:04 57371                          /usr/lib64/libkio.so.5.8.0
3054c00000-3054d46000 r-xp 00000000 fd:04 55422                          /usr/lib64/libgio-2.0.so.0.3200.4
3054d46000-3054f45000 ---p 00146000 fd:04 55422                          /usr/lib64/libgio-2.0.so.0.3200.4
3054f45000-3054f49000 r--p 00145000 fd:04 55422                          /usr/lib64/libgio-2.0.so.0.3200.4
3054f49000-3054f4b000 rw-p 00149000 fd:04 55422                          /usr/lib64/libgio-2.0.so.0.3200.4
3054f4b000-3054f4d000 rw-p 00000000 00:00 0 
3055000000-3055007000 r-xp 00000000 fd:04 1183352                        /usr/lib64/catalyst/libatiuki.so.1.0
3055007000-3055107000 ---p 00007000 fd:04 1183352                        /usr/lib64/catalyst/libatiuki.so.1.0
3055107000-3055108000 rw-p 00007000 fd:04 1183352                        /usr/lib64/catalyst/libatiuki.so.1.0
3055108000-3055109000 rw-p 00000000 00:00 0 
3055400000-305543c000 r-xp 00000000 fd:04 55497                          /usr/lib64/libQtSql.so.4.8.2
305543c000-305563c000 ---p 0003c000 fd:04 55497                          /usr/lib64/libQtSql.so.4.8.2
305563c000-305563e000 rw-p 0003c000 fd:04 55497                          /usr/lib64/libQtSql.so.4.8.2
3055800000-305580f000 r-xp 00000000 fd:04 58180                          /usr/lib64/libkemoticons.so.4.8.0
305580f000-3055a0f000 ---p 0000f000 fd:04 58180                          /usr/lib64/libkemoticons.so.4.8.0
3055a0f000-3055a10000 rw-p 0000f000 fd:04 58180                          /usr/lib64/libkemoticons.so.4.8.0
3055c00000-3055c4f000 r-xp 00000000 fd:04 56423                          /usr/lib64/libkparts.so.4.8.0
3055c4f000-3055e4e000 ---p 0004f000 fd:04 56423                          /usr/lib64/libkparts.so.4.8.0
3055e4e000-3055e53000 rw-p 0004e000 fd:04 56423                          /usr/lib64/libkparts.so.4.8.0
3056000000-305603c000 r-xp 00000000 fd:04 58306                          /usr/lib64/libkcmutils.so.4.8.0
305603c000-305623b000 ---p 0003c000 fd:04 58306                          /usr/lib64/libkcmutils.so.4.8.0
305623b000-305623f000 rw-p 0003b000 fd:04 58306                          /usr/lib64/libkcmutils.so.4.8.0
3056400000-3056471000 r-xp 00000000 fd:04 58577                          /usr/lib64/libphonon.so.4.6.0KCrash: Application 'amarok' crashing...
Comment 1 Myriam Schweingruber 2012-10-20 12:31:41 UTC
*** Bug 308702 has been marked as a duplicate of this bug. ***
Comment 2 Myriam Schweingruber 2012-11-02 15:33:05 UTC
Got the same crash on 2.6-git today:

Thread 1 (Thread 0x7fb67af5e780 (LWP 1835)):
[KCrash Handler]
#6  0x00007fb67a059692 in Amarok2ConfigDialog::updateSettings (this=0x9019f80) at /home/myriam/kde/src/amarok/src/configdialog/ConfigDialog.cpp:141
#7  0x00007fb67861cf5f in QMetaObject::activate (sender=0x9019f80, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#8  0x00007fb67a99ffe8 in KDialog::slotButtonClicked (this=0x9019f80, button=4) at ../../kdeui/dialogs/kdialog.cpp:884
#9  0x00007fb67a9a0414 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at ./kdialog.moc:167
#10 KDialog::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at ./kdialog.moc:127
#11 0x00007fb67861cf5f in QMetaObject::activate (sender=0x902a080, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffeadceb80) at kernel/qobject.cpp:3547
#12 0x00007fb678622e2e in QSignalMapper::mapped (this=this@entry=0x902a080, _t1=4) at .moc/release-shared/moc_qsignalmapper.cpp:115
#13 0x00007fb678623035 in QSignalMapper::map (this=0x902a080, sender=0x5833260) at kernel/qsignalmapper.cpp:266
#14 0x00007fb67861cf5f in QMetaObject::activate (sender=0x5833260, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffeadced10) at kernel/qobject.cpp:3547
#15 0x00007fb679653422 in QAbstractButton::clicked (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:220
#16 0x00007fb6793a6d2e in QAbstractButtonPrivate::emitClicked (this=this@entry=0x68dc6b0) at widgets/qabstractbutton.cpp:548
#17 0x00007fb6793a7560 in QAbstractButtonPrivate::click (this=this@entry=0x68dc6b0) at widgets/qabstractbutton.cpp:541
#18 0x00007fb6793a77cc in QAbstractButton::mouseReleaseEvent (this=0x5833260, e=0x7fffeadcf5b0) at widgets/qabstractbutton.cpp:1123
#19 0x00007fb679038850 in QWidget::event (this=0x5833260, event=0x7fffeadcf5b0) at kernel/qwidget.cpp:8371
#20 0x00007fb678fe8e9c in QApplicationPrivate::notify_helper (this=this@entry=0x1a36680, receiver=receiver@entry=0x5833260, e=e@entry=0x7fffeadcf5b0) at kernel/qapplication.cpp:4562
#21 0x00007fb678fedb6b in QApplication::notify (this=<optimized out>, receiver=0x5833260, e=0x7fffeadcf5b0) at kernel/qapplication.cpp:4105
#22 0x00007fb67aa3f1d6 in KApplication::notify (this=0x7fffeadd25c0, receiver=0x5833260, event=0x7fffeadcf5b0) at ../../kdeui/kernel/kapplication.cpp:311
#23 0x00007fb67860756e in QCoreApplication::notifyInternal (this=0x7fffeadd25c0, receiver=0x5833260, event=0x7fffeadcf5b0) at kernel/qcoreapplication.cpp:915
#24 0x00007fb678fe9cd3 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#25 QApplicationPrivate::sendMouseEvent (receiver=0x5833260, event=0x7fffeadcf5b0, alienWidget=0x5833260, nativeWidget=0x51fc2a0, buttonDown=0x7fb679ac5308 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3173
#26 0x00007fb679067554 in QETWidget::translateMouseEvent (this=this@entry=0x51fc2a0, event=event@entry=0x7fffeadcfd30) at kernel/qapplication_x11.cpp:4622
#27 0x00007fb67906644f in QApplication::x11ProcessEvent (this=0x7fffeadd25c0, event=0x7fffeadcfd30) at kernel/qapplication_x11.cpp:3737
#28 0x00007fb67908dfa2 in x11EventSourceDispatch (s=s@entry=0x1a35900, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#29 0x00007fb671638ab5 in g_main_dispatch (context=0x1a3b330) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:2715
#30 g_main_context_dispatch (context=context@entry=0x1a3b330) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:3219
#31 0x00007fb671638de8 in g_main_context_iterate (context=context@entry=0x1a3b330, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:3290
#32 0x00007fb671638ea4 in g_main_context_iteration (context=0x1a3b330, may_block=1) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:3351
#33 0x00007fb678635bf6 in QEventDispatcherGlib::processEvents (this=0x18c4ad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#34 0x00007fb67908dc1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007fb6786062bf in QEventLoop::processEvents (this=this@entry=0x7fffeadd0100, flags=...) at kernel/qeventloop.cpp:149
#36 0x00007fb678606548 in QEventLoop::exec (this=0x7fffeadd0100, flags=...) at kernel/qeventloop.cpp:204
#37 0x00007fb67860b708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#38 0x000000000040cd32 in main (argc=3, argv=0x7fffeadd2708) at /home/myriam/kde/src/amarok/src/main.cpp:330
Comment 3 Myriam Schweingruber 2012-11-02 15:34:05 UTC
Reproducible with any fresh install and whatever Internet Service one does configure, not related to last.fm. I had it with the Gpodder configuration.
Comment 4 Arne K. Haaje 2012-11-11 17:08:44 UTC
Using Amarok 2.6 on Kubuntu 12.10 with KDE 4.9.3.

I can confirm Amarok crashes with last.fm enabled. When started from the console this error is output before the crash.

QMetaObject::invokeMethod: No such method App::onWsError(lastfm::ws::Error)
"
    Invalid API key - You must be granted a valid key by last.fm
" 10 
"<?xml version="1.0" encoding="utf-8"?>
<lfm status="failed">
<error code="10">
    Invalid API key - You must be granted a valid key by last.fm
</error>
</lfm>


If i disable last.fm in ~/.kde/share/config/amarokrc then Amarok start with no problem
Comment 5 Myriam Schweingruber 2012-11-25 23:54:42 UTC
*** Bug 310680 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2012-12-07 18:54:47 UTC
*** Bug 311281 has been marked as a duplicate of this bug. ***
Comment 7 Matěj Laitl 2012-12-11 00:27:15 UTC
Reassigning back to Last.fm. While more services may suffer from the similar error (whose cause is now clear to me), the code is not shared, so it needs to be reported for each service individually. The fix for Last.fm should land any time now.
Comment 8 Matěj Laitl 2012-12-12 22:54:44 UTC
Git commit d9a72268a5cfe5f53d84f8fd57c5f8611f54fd76 by Matěj Laitl.
Committed on 12/12/2012 at 23:31.
Pushed by laitl into branch 'master'.

Last.fm plugin: major rework of configuration and more

This work started as an attempt to fix bug 306134. I figured out that
the synchronous KWallet API is simply dangerous, and the async one must
be used. But that meant to make LastFmServiceConfig a "living" object
with updated() signal, which triggered refactoring of all its usage.

Users of LastFmServiceConfig now watch for its changes and should act
appropriately. The LastFmServiceConfig now has only one instance shared
between LastFmService and LastFmServiceSettings - I had to introduce
another shared library because KCM modules use separate library, silly.

Moreover, some extremely ugly things in Last.fm plugin got reworked to
me clean and maintainable, reducing code duplication.

Patrick, please tests whether this still builds on Windows, I hope I've
done KDE_EXPORT/KDE_IMPORT right, but I cannot test under Linux.

CHANGES:
 * When configuring Last.fm plug-in, the changes are now applied
   immediately in most places.

BUGFIXES:
 * Fix suboptimal KWallet usage in Last.fm plugin.
 * Fix crash in Last.fm plugin caused by sloppy KWallet usage.
Related: bug 311331, bug 292096
FIXED-IN: 2.7
DIGEST: Last.fm plugin configuration reworked for smoother experience
CCMAIL: Patrick von Reth <vonreth@kde.org>

M  +4    -0    ChangeLog
M  +15   -2    src/services/lastfm/CMakeLists.txt
M  +166  -147  src/services/lastfm/LastFmService.cpp
M  +9    -5    src/services/lastfm/LastFmService.h
M  +5    -7    src/services/lastfm/LastFmServiceCollection.cpp
M  +1    -2    src/services/lastfm/LastFmServiceCollection.h
M  +160  -110  src/services/lastfm/LastFmServiceConfig.cpp
M  +50   -24   src/services/lastfm/LastFmServiceConfig.h
M  +37   -41   src/services/lastfm/LastFmServiceSettings.cpp
M  +3    -1    src/services/lastfm/LastFmServiceSettings.h
M  +4    -4    src/services/lastfm/LastFmTreeModel.cpp
M  +1    -2    src/services/lastfm/LastFmTreeModel.h
M  +3    -4    src/services/lastfm/ScrobblerAdapter.cpp
M  +3    -2    src/services/lastfm/ScrobblerAdapter.h
M  +5    -6    src/services/lastfm/SynchronizationAdapter.cpp
M  +3    -2    src/services/lastfm/SynchronizationAdapter.h
C  +16   -35   src/services/lastfm/amarok_lastfm_shared_export.h [from: src/services/lastfm/LastFmServiceSettings.h - 058% similarity]
M  +0    -9    src/services/lastfm/meta/LastFmMeta.cpp
M  +1    -1    src/services/lastfm/meta/LastFmMeta.h

http://commits.kde.org/amarok/d9a72268a5cfe5f53d84f8fd57c5f8611f54fd76